Relesys API Docs

v1.3

https://api.relesysapp.net/api/v1.3

Users

Get User
GET /users/{userId}
https://api.relesysapp.net/api/v1.3/users/{userId}
Get a single user object based on their ID
Scopes: relesys.api, relesys.api:read, relesys.api.users, relesys.api.users:read
URL Path
userId string / guid The user's unique identifier required
Responses
application/json
JSON
{"data":{"id":"78ffb529-9cff-4afb-bc4d-88040db8b632","url":null,"departmentUrl":null,"status":"Activated","creationDateTime":"2026-03-31T11:04:00.3149329Z","lastModifiedDateTime":"2026-03-31T11:04:00.3149329Z","externalId":"NUA","name":"New User A","userName":"UserNameA","title":"User Title A","dataSource":"RelesysAPI","email":"personalmaila@testmail.com","secondaryEmail":"businessmaila@testmail.com","phoneNumber":{"countryCode":45,"number":"12345678"},"secondaryPhoneNumber":{"countryCode":45,"number":"12345679"},"birthDate":"2002-12-30T00:00:00Z","primaryDepartmentId":"05bab1a2-8d5c-460c-b5e1-143a31ccbc7e","additionalDepartments":[{"id":"9e2673d0-baaf-481d-947a-e70f64716985","dataSource":"RelesysAPI"}],"userGroups":[{"id":"987836f0-88be-4294-aaee-cad103e120ec","dataSource":"RelesysAPI"},{"id":"c67dcf0d-3dc1-4d9d-a5cd-d6193a3aac47","dataSource":"RelesysAPI"}],"employmentDate":"2018-12-30T13:30:00Z","employmentEndDate":"2021-12-30T13:30:00Z","customFields":{"customfieldone":"Custom field 1","customfieldtwo":"Custom field 2"},"employmentType":"Full-time employee"}}
object
  data object      
   additionalDepartments array[object]      
    dataSource string      
    id string / guid      
   birthDate datetime      
   customFields dictionary`2      
   dataSource string      
   departmentUrl string      
   email string      
   employmentDate datetime      
   employmentEndDate datetime      
   employmentType string      
   externalId string      
   id string / guid      
   name string      
   phoneNumber object      
    countryCode integer      
    number string      
   primaryDepartmentId string / guid      
   secondaryEmail string      
   secondaryPhoneNumber object      
    countryCode integer      
    number string      
   status string      
   title string      
   url string      
   userGroups array[object]      
    dataSource string      
    id string / guid      
   userName string